.bFon						{
	position		: absolute;
	top			: 0px;
	width			: 100%;
	height		: 100%;
	background	: rgba(0,0,0,0.7);
}

.bModal, .bTabs, .bButtons	{
	position					: absolute;
	border					: 1px rgba(220,220,220,1) solid;
}
.bModal							{
	color						: white;
	padding					: 1;
	margin					: 1;
	background				: rgba(150,150,150,1);
	border-radius			: 5px 5px 2px 2px;
	-moz-border-radius	: 2px;
	-webkit-border-radius: 2px;
}
.bModal.bShadow					{
	box-shadow				: 1px 1px 2px rgba(0,0,0,0.5),	-1px -1px 2px rgba(0,0,0,0.5);
	-moz-box-shadow		: 2px 2px 5px rgba(0,0,0,0.3),	-2px -2px 5px rgba(0,0,0,0.3);
	-webkit-box-shadow	: 2px 2px 5px rgba(0,0,0,0.3),	-2px -2px 5px rgba(0,0,0,0.3);
}
.bModal.bInside					{
	box-shadow				: 0px 0px 2px rgba(0, 0, 0, 0.8) inset;
	-moz-box-shadow		: 0px 0px 2px rgba(0, 0, 0, 0.8) inset;
	-webkit-box-shadow	: 0px 0px 2px rgba(0, 0, 0, 0.8) inset;
}

.bTabs, .bButtons.top, .bButtons.bottom, .bButtons.left	{
	margin					: 0!important;
	padding					: 0!important;
	background				: rgba(45,45,45,1);
	position					: absolute;
	cursor					: default;
	font-weight				: bold;
	color						: rgba(200,200,200,1);
}

.bTabs, .bButtons.top	{
	top						: -24;
	height					: 23;
	border-bottom			: none;
	border-radius			: 5px 5px 0px 0px;
	-moz-border-radius	: 5px 5px 0px 0px;
	-webkit-border-radius: 5px 5px 0px 0px;
}
.bTabs.bShadow, .bModal .top.bShadow	{
	box-shadow				: 3px -3px 2px rgba(0,0,0,0.2), -3px -3px 2px rgba(0,0,0,0.2), inset 0px -1px 5px rgba(0,0,0,0.7);
	-moz-box-shadow		: 3px -3px 2px rgba(0,0,0,0.2), -3px -3px 2px rgba(0,0,0,0.2), inset 0px -1px 5px rgba(0,0,0,0.7);
	-webkit-box-shadow	: 3px -3px 2px rgba(0,0,0,0.2), -3px -3px 2px rgba(0,0,0,0.2), inset 0px -1px 5px rgba(0,0,0,0.7);
}
.bTabs.bInside,  .bModal .top.bInside	{
	box-shadow				: inset 0px -1px 5px rgba(0,0,0,0.7);
	-moz-box-shadow		: inset 0px -1px 5px rgba(0,0,0,0.7);
	-webkit-box-shadow	: inset 0px -1px 5px rgba(0,0,0,0.7);
}

.noInsideClass	{
	background		:	transparent!important;
	box-shadow		:	none!important;
	border-color	:	transparent!important;
}

.bModal .bottom	{
	bottom					: -24;
	height					: 23;
	border-top				: none;
	border-radius			: 0px 0px 5px 5px;
	-moz-border-radius	: 0px 0px 5px 5px;
	-webkit-border-radius: 0px 0px 5px 5px;
}
.bModal .bottom.bShadow	{
	box-shadow				: 3px 3px 2px rgba(0,0,0,0.2), -3px 3px 2px rgba(0,0,0,0.2), inset 0px 1px 5px rgba(0,0,0,0.7);
	-moz-box-shadow		: 3px 3px 2px rgba(0,0,0,0.2), -3px 3px 2px rgba(0,0,0,0.2), inset 0px 1px 5px rgba(0,0,0,0.7);
	-webkit-box-shadow	: 3px 3px 2px rgba(0,0,0,0.2), -3px 3px 2px rgba(0,0,0,0.2), inset 0px 1px 5px rgba(0,0,0,0.7);
}
.bModal .bottom.bInside	{
	box-shadow				: inset 0px 1px 5px rgba(0,0,0,0.7);
	-moz-box-shadow		: inset 0px 1px 5px rgba(0,0,0,0.7);
	-webkit-box-shadow	: inset 0px 1px 5px rgba(0,0,0,0.7);
}

.bInside	{
	border-color	: rgba(130,130,130,1)
}

.bTabs	{
	left						: 5;
}
.bTabs > div, .bTabs > input{
	float						: left;
}

.tabContent	{
	position					: relative;
}

.bButtons  > input[type=text] {
	margin			: 2 3 0 3;
}
.bButtons.top	{
	right						:	5;
}
.bButtons.bottom	{
	right						:	-1;
	width						:	100%;
}
.bButtons.top > div, .bButtons.bottom > div	{
	float						: right;
}
.bButtons.top > .bOn, .bButtons.bottom > .bOn	{
	float						: right;
	background				: rgba(80,120,80,1);
	padding-bottom			: 2px;
	border-radius			: 5px;
	-moz-border-radius	: 5px;
	-webkit-border-radius: 5px;
}

.bOff, .bOn, .bNot, .bName, .bSelect	{
	margin					: 2px 2px 1px 2px;
	padding					: 1px 5px 1px 5px;
	border-radius			: 5px 5px 0px 0px;
	-moz-border-radius	: 5px 5px 0px 0px;
	-webkit-border-radius: 5px 5px 0px 0px;
}
.bOff, .bOn, .bName, .bSelect	{
	text-shadow				: 1px 1px 3px black;
}
.bOff, .bOn, .bSelect	{
	cursor					: pointer;
}
.bNot	{
	color						: rgba(0,0,0,1)
}
.bOff	{
	color						: rgba(180,180,180,1)
}
.bOff:hover, .bSelect:hover	{
	background				: rgba(150,150,150,1);
	color						: white;
	border-radius			: 5px;
	-moz-border-radius	: 5px;
	-webkit-border-radius: 5px;
}
.bTabs .bOff:hover	{
	background				:	#8A9FFC;
}
.bOff[alt=X]	{
	color						:	red;
}
.bOff[alt=X]:hover	{
	background				:	#F78F92;
	color						:	white;
}
.bOff[alt='_']	{
	color						:	lightgreen;
}
.bOff[alt='_']:hover	{
	background				:	#80B782;
	color						:	white;
}
.bOn	{
	padding-bottom			: 4px;
	background				: rgba(150,150,150,1);
	color						: white;
	box-shadow				: 3px -1px 1px rgba(0,0,0,0.2), -3px -1px 1px rgba(0,0,0,0.2);
	-moz-box-shadow		: 3px -3px 2px rgba(0,0,0,0.2), -3px -3px 2px rgba(0,0,0,0.2);
	-webkit-box-shadow	: 3px -3px 2px rgba(0,0,0,0.2), -3px -3px 2px rgba(0,0,0,0.2);
}
.bTabs.bInside .bOn	{
	height					: 17;
}
.bSelect	{
	float						: right;
	cursor					: pointer;
	color						: rgba(255,140,255,1);
}
.bName	{
	float						: right;
	float						: right;
	color						: yellow;
}

.dot	{
	border-bottom			: 1px dashed;
}

.bModal div.list	{
	overflow-y				: auto;
	box-shadow				: inset 3px 3px 3px rgba(0,0,0,0.2), inset -3px -3px 3px rgba(0,0,0,0.2);
	position					: absolute;
	top						: 0;
	bottom					: 1;
	left						: 0;
	display					: inline-block;
	width						: 100%;
	background				: rgba(70,70,70,1);
}

.bShadow				{
	
}

.inside	{
	margin					: 1px;
	position					: relative;
	float						: left;
	background				: rgba(0,0,0,0.2);
}
.inside .bOn	{
	background				: #777777;
}


.bModal .oya		{overflow-y:auto;overflow-x:hidden;}
.bModal .oxa		{overflow-x:auto}
.bModal .vam		{vertical-align:middle}
.bModal .vat		{vertical-align:top}
.bModal .b .bModal .fwb{font-weight:bold!important}
.bModal .fwn		{font-weight:normal!important}
.bModal .mono	{font-family:monospace!important}
.bModal .fr		{float:right}
.bModal .fl		{float:left}
.bModal .tr		{text-align:right}
.bModal .tc		{text-align:center}
.bModal .tl		{text-align:left}
.bModal .tj		{text-align:justify!important}
.bModal .red		{color:red}
.bModal .lred	{color:#FF9898!important}
.bModal .dgray	{color:rgba(100,100,100,1)!important}
.bModal .gray	{color:rgba(180,180,180,1)!important}
.bModal .lgray	{color:rgba(200,200,200,1)!important}
.bModal .lgreen	{color:lightgreen!important}
.bModal .green	{color:rgba(100,255,100,1)!important}
.bModal .yellow	{color:yellow!important}
.bModal .violet	{color:rgba(233,206,255,1)!important}
.bModal .orange	{color:orange!important}
.bModal .black	{color:black!important}
.bModal .blue	{color:blue!important}
.bModal .cyan	{color:#00AFFF!important}
.bModal .white	{color:white!important}
.bModal .lpink	{color:rgba(255,140,255,1)!important}
.bModal .bqty	{background:rgba(0,0,0,0.8)}
.bModal .hide	{display:none}
.bModal .query	{color:rgba(133,234,238,0.8)}
.bModal .part	{color:rgba(238,234,133,0.8)}
.bModal .brand	{color:rgba(200,250,200,1)}
.bModal .dib		{display:inline-block}

.bModal .tsh		{text-shadow:1px 1px 3px black;}


.bModal li					{padding:0 8; color:white; margin:0; border-bottom:1px rgba(100,100,100,0.4) dotted}
.bModal li:last-child	{border-bottom:0}
.bModal li.lihd			{padding:0 8; color:rgba(50,50,50,1)}
.bModal li.lihb			{
	padding		: 0 8;
	text-shadow	: 1px 1px 2px rgba(0,0,0,0.5);
}
.bModal li.lihb:hover	{
	cursor					:	pointer;
	border-bottom			:	1px #00AFFF solid;
	background				:	none
}
.bModal li.true	{
	color:rgba(150,255,150,1)!important
}
.bModal li.false	{
	color:rgba(255,150,150,1)!important
}
.bModal li.selected		{
	background-color		:rgba(20,20,20,0.5)!important;
	color						:yellow!important;
	border-radius			:5px;
	-moz-border-radius	:5px;
	-webkit-border-radius:5px;
}
.bModal li ol		{
	padding-top:5px;
	padding-bottom:5px;
	padding-left:35px;
	background-color:rgba(0,0,0,0.2)!important
}
.bModal li label	{
	width		: 100%;
	display	: inline;
	cursor	: pointer
}
.bModal ul, .bModal ul  li	{
  margin: 0px;
  padding: 0px;
}
.bModal li			{
  .bModal list-style: none;
}
.bModal li.b		{font-weight:bold!important}

.bModal li.checked		{
	background-color	:	#969696!important;
	box-shadow			:	0px 1px 3px rgba(0,0,0,0.5);
}

.bModal li > div	{
	display		: inline-block;
	float			: right;
	right			: 0;			
}


/*ÒÀÁËÈÖÛ*/
.bModal table							{
	font-family:'ms sans serif';font-weight:normal;font-size:10pt; width:100%; color:gray}
.bModal table thead						{
	background		:	rgba(75,75,75,1);
	color				:	lightgray;
	text-shadow		:	1px 1px 3px black;
	font-size		:	8pt;
	height			:	20px;
}
.bModal table thead th:hover			{cursor:pointer}
.bModal table tbody					 	{
	font-size		:	10pt;
}
.bModal table tbody tr					{
	vertical-align	:	middle;
	border-bottom	:	1px rgba(100,100,100,0.4) dotted;
	height:22
}
.bModal table thead tr:last-child	{
	box-shadow		:	0px 2px 2px -1px black
}
.bModal table tbody tr.in_buffer{border-left-color:yellow;}
.bModal table tbody tr.trSor.bModal table{height:27}
.bModal table tbody tr.order_item	{
	margin					: 5px 0px;
	background				: rgba(30,30,30,1);
	border-bottom			: 1px rgba(100,100,100,1) solid;
	box-shadow				: 1px 1px 2px rgba(0,0,0,0.5);
	-moz-box-shadow		: 1px 1px 2px rgba(0,0,0,0.5);
	-webkit-box-shadow	: 1px 1px 2px rgba(0,0,0,0.5);
}
.bModal table tbody tr.zebra:nth-child(even)	{background: rgba(20,20,20,0.7)}
.bModal table tbody tr.zebra:nth-child(odd)	{background: rgba(0,0,0,0.7)}
.bModal table.zebraTD td:nth-child(odd)		{background: rgba(10,10,30,0.4)}
.bModal table tbody td								{padding:1 6 1 3; vertical-align:top}
.bModal table tbody td.b							{font-weight:bold}
.bModal table tbody td *								{}
.bModal table tbody td.tdh:hover					{
	cursor					:pointer;
	color						:white!important;
	background				:rgba(255,255,255,0.1);
	box-shadow				:1px 1px 4px rgba(0,0,0,0.6), -1px -1px 4px rgba(0,0,0,0.6);
	-moz-box-shadow		:1px 1px 4px rgba(0,0,0,0.6), -1px -1px 4px rgba(0,0,0,0.6);
	-webkit-box-shadow	:1px 1px 4px rgba(0,0,0,0.6), -1px -1px 4px rgba(0,0,0,0.6);
}
.bModal table tbody td.h:hover					{cursor:pointer; color:white!important}
.bModal table tbody td.h:hover *					{color:white!important}
.bModal table tbody tr.h:hover					{
	cursor					:	pointer;
	border-bottom			:	1px #00AFFF solid;
	background				:	black
}
.bModal tr.processed						{
	border-bottom	:1px lightgreen solid!important;
}
.bModal tr.checked						{
	background		:rgba(0,0,60,0.8)!important;
}
.bModal tr.selected						{
	border-bottom	:1px rgba(200,200,200,1) solid!important;
}

